﻿@model Instantly.Models.Order

@{
    ViewData["Title"] = "Create";
}
<div class="container">
    <h1>Створення</h1>

    <h4>Замовлення</h4>
    <hr />

    <div class="row">
        <div class="col-md-4">
            <form asp-action="Create" enctype="multipart/form-data">
                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                <div class="form-group">
                    <label asp-for="Title" class="control-label">Заголовок</label>
                    <input asp-for="Title" class="form-control" />
                    <span asp-validation-for="Title" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="About" class="control-label">Деталі замовлення</label>
                    <!--<input asp-for="About" class="form-control" />-->
                    <textarea asp-for="About" class="form-control" rows="5" wrap="soft"></textarea>
                    <span asp-validation-for="About" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Price" class="control-label">Ціна</label>
                    <input asp-for="Price" class="form-control" />
                    <span asp-validation-for="Price" class="text-danger"></span>
                </div>
                <!--
                <div class="form-group">
                    <label asp-for="AttachmentId" class="control-label">Додаток</label>
                    <select asp-for="AttachmentId" class="form-control" asp-items="ViewBag.AttachmentId"></select>
                </div>
                    -->
                <div class="form-group">
                    <label asp-for="AttachmentId" class="control-label">Додаток</label>
                    <input type="file" name="uploadedFile" />
                </div>
                <!--
                <div class="form-group">
                    <input type="hidden" asp-for="OrderStatusId" value="2" />
                </div>
                    -->
                <div class="form-group">
                    <label asp-for="TagId" class="control-label">Категорія</label>
                    <select asp-for="TagId" class="form-control" asp-items="ViewBag.TagId"></select>
                </div>
                <div class="form-group">
                    <!--<label asp-for="ClientUserId" class="control-label"></label>-->
                    <!--<select asp-for="ClientUserId" class ="form-control" asp-items="ViewBag.ClientUserId"></select>-->
                    <input type="hidden" asp-for="ClientUserId" value="@ViewBag.ClientUserId" />
                </div>
                <div class="form-group">
                    <input type="submit" value="Створити" class="btn btn-primary" />
                </div>
            </form>
        </div>
    </div>


    <div>
        <a asp-action="Index">Всі замовлення</a>
    </div>

    @section Scripts {
        @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
    }
</div>
